Reporting Period Configuration
Create Reporting Period Configuration
Create a new reporting period configuration.
Permissions
api.reporting-period-config.write
POST
/
v1
/
reporting-period-config
Create Reporting Period Configuration
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/reporting-period-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"monthlyReportingPeriods": [
{
"periodNumber": 123,
"quarterNumber": 123,
"yearLabel": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"weeklyReportingPeriods": [
{
"weekNumber": 123,
"yearLabel": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
]
}
'import requests
url = "https://{tenant}.mindbridge.ai/api/v1/reporting-period-config"
payload = {
"monthlyReportingPeriods": [
{
"periodNumber": 123,
"quarterNumber": 123,
"yearLabel": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"weeklyReportingPeriods": [
{
"weekNumber": 123,
"yearLabel": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
monthlyReportingPeriods: [
{
periodNumber: 123,
quarterNumber: 123,
yearLabel: '<string>',
startDate: '2023-12-25',
endDate: '2023-12-25'
}
],
weeklyReportingPeriods: [
{
weekNumber: 123,
yearLabel: '<string>',
startDate: '2023-12-25',
endDate: '2023-12-25'
}
]
})
};
fetch('https://{tenant}.mindbridge.ai/api/v1/reporting-period-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"monthlyReportingPeriods": [
{
"periodNumber": 123,
"quarterNumber": 123,
"yearLabel": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"weeklyReportingPeriods": [
{
"weekNumber": 123,
"yearLabel": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"status": "UPLOADED"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - application/json
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
List of monthly reporting periods.
Show child attributes
Show child attributes
List of weekly reporting periods.
Show child attributes
Show child attributes
Available options:
UPLOADED, VALIDATING, FAILED, COMPLETED Was this page helpful?
⌘I
Create Reporting Period Configuration

